Bug 732051 - Drift filters when a path is specified as an include
Drift filters when a path is specified as an include
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: drift (Show other bugs)
4.1
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: 707225
  Show dependency treegraph
 
Reported: 2011-08-19 11:47 EDT by Mike Foley
Modified: 2012-02-07 14:27 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:27:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike Foley 2011-08-19 11:47:28 EDT
Description of problem:  if path is specified and is a directory, and pattern is left empty, it should default to finding all files under it, but it doesn't


Version-Release number of selected component (if applicable):
8/19/ build

How reproducible:
100%

Steps to Reproduce:
1. specify a file system based drift configuration
2. as an include, specify a subdirectory
3. leaving the pattern empty
   
Actual results:
files in that directory are not detected

Expected results:
drift detection on files in that directory

Additional info:  ** as a file pattern works, but this is not really known, intuitive, or documented.
Comment 1 Mike Foley 2011-08-22 17:01:03 EDT
retested 8/22 build
Comment 2 Mike Foley 2012-02-07 14:27:25 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.